
%define patch_name kernel-feat-swsusp

Name: %patch_name
Version: 20060319
Release: alt3
Summary: %patch_name kernel patch - SWSUSP (suspend to disk) for Linux kernel
License: GPL
Group: Development/Other
URL: http://suspend2.net
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

# patches for 2.4
%source 1 20-softwaresuspend 2.4
%source 2 21-2.4.28-2.1.5.7-A 2.4
%source 3 22-2.4.29-2.1.5.7-B 2.4
%source 4 23-2.4.29-2.1.5.7-C 2.4
%source 5 46-2.4.26-bootsplash-fixes 2.4/46_kernel-feat-drivers-video-splash
%source 6 11_swsusp-2.4.25-usb-ohci 2.4/51_kernel-fix-drivers-usb
%source 7 12_swsusp-2.4.25-usb-ohci 2.4/52_not_kernel-fix-drivers-usb
%source 8 53-Makefile 2.4/53_kernel-feat-cpufreq
%source 9 54-Makefile 2.4/54_not_kernel-feat-cpufreq
%source 10 15_reiserfs-fix 2.4/55_kernel-feat-fs-reiserfs
%source 11 44-Win4Lin 2.4/56_kernel-feat-core-win4lin
%source 12 60-gcc2.96-alarm 2.4
%source 13 61-alt-zftape-fix.patch 2.4

# patches for 2.6
%source 100	2000-workqueue-freezing.patch				2.6
%source 101	2010-suspend2-freezer-upgrade.patch			2.6
%source 102	2020-kmod-freeze.patch					2.6
%source 103	3000-crypto-api-lzf-support.patch			2.6
%source 105	3020-cryptoapi-deflate.patch				2.6
%source 106	3030-reboot-handler-hook.patch				2.6
%source 107	3040-proc-acpi-sleep-activate-hook.patch		2.6
%source 108	3050-init-hooks.patch					2.6
%source 109	3060-reset-kswapd-max-order-after-resume.patch		2.6
%source 110	3070-clear-swapfile-bdev-in-swapoff.patch		2.6
%source 111	3080-dynamic-pageflags.patch				2.6
%source 112	9900-Suspend2.patch					2.6
#source 113	9904-libata-freeze.patch				2.6
#source 114	9905-libata-nofreeze-workqueue.patch			2.6

# fixes for 2.6
%source 999   999-alt-do_mounts_initrd.patch 			2.6

BuildPreReq: kernel-build-tools >= 0.6-alt3

%description
This is the SWSUSP (suspend to disk) patch for Linux kernel.
Enable the possibility to save the state of your system and
quickly restore it.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun Apr 23 2006 Alex Yustasov <yust@altlinux.ru> 20060319-alt3
- 2.2.5 for 2.6.16

* Tue Apr 04 2006 Alex Yustasov <yust@altlinux.ru> 20060319-alt2
- 2.2.4 for 2.6.16

* Mon Apr 03 2006 Alex Yustasov <yust@altlinux.ru> 20060319-alt1
- 2.2.2.1

* Sun Mar 19 2006 Alex Yustasov <yust@altlinux.ru> 20060319-alt0.1
- 2.2.1

* Thu Feb 23 2006 LAKostis <lakostis at altlinux.ru> 20051227-alt7
- Removed:
  - 100-suspend2-2.2-for-2.6.14-backport.patch: don't work on -smp.
  Modified:
  + 101-suspend2-2.2-backport-workqueue.patch: remove 2.6.15'ism like
  singlethread_cpu.
  
* Mon Feb 06 2006 Alex Yustasov <yust@altlinux.ru> 20051227-alt6
- recovered: 9010-mce-config.patch 9075-alt-allocate-storage.patch

* Mon Feb 06 2006 Alex Yustasov <yust@altlinux.ru> 20051227-alt5
- backport 2.2 for 2.6.14
- fixed 9100-alt-x86_64-fix-build.patch

* Thu Jan 26 2006 Alex Yustasov <yust@altlinux.ru> 20051227-alt4
- fixed 1000-swsusp2_apply.patch: p->todo is used instead freezing(p)
- added 9100-alt-x86_64-fix-build.patch: fixed build for x86_64

* Sat Jan 07 2006 Alex Yustasov <yust@altlinux.ru> 20051227-alt3
- Added:
    9075-alt-allocate-storage.patch: increased allocate_storage by 100

* Wed Dec 28 2005 Alex Yustasov <yust@altlinux.ru> 20051227-alt2
- fixed 9010-mce-config.patch
- added 9070-page-is-not-ram.patch

* Tue Dec 27 2005 Alex Yustasov <yust@altlinux.ru> 20051227-alt1
- 2.2-rc15-for-2.6.14

* Sat Dec 10 2005 LAKostis <lakostis at altlinux.ru> 20051203-alt1.1
- fixes for -lowlatency patches.

* Tue Dec 06 2005 Alex Yustasov <yust@altlinux.ru> 20051203-alt1
- 2.2-rc14-for-2.6.14
- changed 999-alt-do_mounts_initrd.patch
- removed pathes:
    999-zdebug.patch
    999-combined-pm_message_t.patch

* Sun Oct 23 2005 Alex Yustasov <yust@altlinux.ru> 20050705-alt2
- backport 2.2-rc8 from 2.6.14-rc3
- fixed bug with root reiserfs #7641

* Fri Jul 08 2005 Alex Yustasov <yust@altlinux.ru> 20050705-alt1
- 2.1.9.8
- only std26

* Sun Jun 19 2005 Alex Yustasov <yust@altlinux.ru> 20050603-alt2
- added 999-zdebug.patch

* Fri Jun 03 2005 Alex Yustasov <yust@altlinux.ru> 20050603-alt1
- 2.1.9.1
- removed 999-common-functions-fix.patch
- removed supermount patches
- added:
  + 999-move-stack-fix.patch
  + 999-swapwriter-fix.patch
  + 999-remove-debug-message.patch
  + 999-pm_message-fix.patch
  + 999-cpufreq-2.6.12.patch

* Sun May 29 2005 LAKostis <lakostis at altlinux dot ru> 20050528-alt1
- backport 2.1.8.10 from 2.6.12-rc4
- re-work 999-alt-do_mounts_initrd.patch
- Added:
  + 999-common-functions-fix.patch - move save_image_part1 to suspend2_common.h
  + 999-i386-use-loaddebug-macro-consistently.patch - backport from 2.6.12-rc3
- Moved:
  - 999-add-not-boot-time-message.patch - move to patch 992.

* Mon May 23 2005 LAKostis <lakostis at altlinux dot ru> 20050521-alt1.1
- fix for lowlatency scheduler changes.

* Sun May 22 2005 Alex Yustasov <yust@altlinux.ru> 20050521-alt1
- 2.1.8.9 for 2.6.11

* Tue May 10 2005 Alex Yustasov <yust@altlinux.ru> 20050505-alt2
- fixed 999-alt-do_mounts_initrd.patch

* Sun May 08 2005 Alex Yustasov <yust@altlinux.ru> 20050505-alt1
- 2.1.8.7 for 2.6
- removed building-as-module

* Mon Mar 21 2005 Alex Yustasov <yust@altlinux.ru> 20050317-alt2.3
- Fixed:
  + 2.6_lowlatency_211-refrigerator.patch

* Mon Mar 21 2005 Alex Yustasov <yust@altlinux.ru> 20050317-alt2.2
- Returned:
   + 916-swsusp-pktcdvd-fix.diff

* Sun Mar 20 2005 LAKostis <lakostis at altlinux.ru> 20050317-alt2.1
- Added:
  + 2.6_lowlatency_211-refrigerator.patch - re-added
  + 2.6_vanilla_211-refrigerator.patch - re-added
  + 950-check-mounts-fix.patch - re-added
  + 950-n-check-mounts-fix.patch - re-added
  
* Fri Mar 18 2005 Alex Yustasov <yust@altlinux.ru> 20050317-alt2
- Added:
  + 999-alt-do_mounts_initrd.patch - call suspend2_try_resume
  from kernel instead initrd/linuxrc

* Thu Mar 17 2005 Alex Yustasov <yust@altlinux.ru> 20050317-alt1
- 2.1.8.2 for 2.6

* Sat Mar 12 2005 LAKostis <lakostis at altlinux.ru> 20050214-alt3.1
- Added:
  + 978-fix_kthread.patch - due changed kthread parameters.
- FIXME: we need renumerate patches (like lowlatency).

* Sun Feb 20 2005 Alex Yustasov <yust@altlinux.ru> 20050214-alt3
- fixed build for 2.4.29-std with gcc-3.4

* Sat Feb 19 2005 Alex Yustasov <yust@altlinux.ru> 20050214-alt2
- 2.1.7 for 2.6

* Mon Feb 14 2005 Alex Yustasov <yust@altlinux.ru> 2005.02.14-alt1
- 2.1.5.15 for 2.6
- 2.1.5.7-C for 2.4

* Sat Feb 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.02-alt9
- adopted for kernel-fix-core patches:
  + 917-alt-911.diff
  + 918-alt-913.diff
- adopted for kernel-feat-lowlatency patches:
  + 582-refrigerator

* Sun Jan 30 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt8
- fixed 916-swsusp-pktcdvd-fix.diff

* Fri Jan 28 2005 Alex Yustasov <yust@altlinux.ru> 205.01.02-alt7
- fixed spec
- added 62-without-highmem-fix.patch for 2.4 kernel
- fixed build for 2.4.29 kernel

* Fri Jan 28 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt6
- fixed 582-refrigerator

* Sun Jan 23 2005 LAKostis <lakostis at altlinux.ru> 2005.01.02-alt5
- Added:
  + 916-swsusp-pktcdvd-fix.diff - Fix pktcdvd hanging problem.

* Sun Jan 16 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt4
- deleted tar.bz2
- added patches for 2.4 kernel

* Wed Jan 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.02-alt3
- Added:
  + 915-agpgart-i850-resume-fix.diff - Fix for resume on i850.
  
* Mon Jan 10 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt2
- added swsusp-console-update-hack.diff
- spec cleanup.

* Sun Jan 02 2005 LAKostis <lakostis at altlinux.ru> 2005.01.02-alt1
- 2.1.5.10 for 2.6.10
- update patches not to conflict with -feat-core-lowlatency.
- spec cleanup.

* Tue Nov 09 2004 Alex Yustasov <yust@altlinux.ru> 2004.11.08-alt1
- 2.1.4

* Tue Nov 02 2004 Alex Yustasov <yust@altlinux.ru> 2004.10.20-alt2
- fixed building if use gzip compression 

* Wed Oct 27 2004 Alex Yustasov <yust@altlinux.ru> 2004.10.20-alt1
- 2.1

* Fri Jul 16 2004 Alex Yustasov <yust@altlinux.ru> 2004.06.29-alt4
- 2.0.0.100
- changed Url in spec
- not work with CONFIG_HIGHMEM64G

* Wed Jul 14 2004 Alex Yustasov <yust@altlinux.ru> 2004.06.29-alt3
- 2.0.0.98
- removed REGPARM=n for bootsplash
- needed CONFIG_REGPARM=y in .config

* Wed Jun 30 2004 Alex Yustasov <yust@altlinux.ru> 2004.06.29-alt2
- updated patch - linux-2.6.7-rev4, core-2.0.0.90

* Wed Mar 17 2004 Anton Farygin <rider@altlinux.ru> 2004.03.17-alt1
- removed patches for 2.4 kernel
- import to kernel CVS
- updated test patch to 2.6.4-test3
- updated core patch to 2.0.0.22

* Wed Mar  3 2004 Ed V. Bartosh <ed@altlinux.org> 2004.03.03-alt1
- add patches for 2.6

* Sat Feb 07 2004 Alex Yustasov <yust@altlinux.ru> 2004.02.07-alt1
- 2.0 version

* Wed Dec 10 2003 Alex Yustasov <yust@altlinux.ru> 2003.12.09-alt1
- 2.0-rc3

* Thu Dec 04 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt7
- added rc2L incremental patch

* Sun Nov 16 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt6
- added rc2J incremental patch

* Wed Nov 12 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt5
- fixed reject after new kernel-fix-core
- fixed apply/kernel-feat-swsusp
  - "|| return 1" after apply_recursive 
- removed patch for kernel-fix-drivers-char

* Tue Nov 04 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt4
- added rc2E-incremental patch
- added release in name source0

* Sat Oct 25 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt3
- remaked with apply script.

* Wed Oct 22 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt2
- 2.0-rc2
- removed laptopmode-option patch

* Thu Oct 16 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt1
- initial release. 2.0rc1

